import React, { useEffect, useRef, useState } from 'react';
import {
    AddDatabaseRequest,
    DatabaseType,
    databaseNameMapping,
    databaseProtocolMapping,
    useDatabaseAPI,
    useSchemaAPI,
    useSessionCache,
  } from '@graphpolaris/shared/lib/data-access';
import { DbItem } from './dbItem';
import { DbPullItems } from './dbPullItems';
export const DbDashboard = (props:{onClose(): void; open: boolean;}) => {
    const ref = useRef<HTMLDialogElement>(null);
    useEffect(() => {
        if (props.open) ref.current?.showModal();
        else ref.current?.close();
      }, [props.open]);

    return(
        <dialog ref={ref} className='w-1/2'>
      <form
        className="card flex gap-4"
        onSubmit={(event: React.FormEvent) => {
          event.preventDefault();
        }}
      >
        <div className='flex flex-row'>
            <span className='text-xl basis-4/5'>Database Options</span>
            <button className='btn btn-outline basis-1/5'>Add</button>
        </div>
        
        <DbPullItems />
        
        <div className="card-actions w-full justify-center">
            <button className='btn btn-outline' onClick={() => props.onClose()}>
                Cancel
            </button>
        </div>
        </form>
        </dialog>
    );
};