import styled from 'styled-components';
import { ReactNode } from 'react';
import { useTheme } from '@mui/material/styles';
interface Props {
  content: string;
  color?: string;
  children?: ReactNode;
}

const Wrapper = styled.div<{ color: string }>`
  background-color: ${(props) => props.color};
  font-family: 'Arial';

  // Light shadow
  // box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
  border: 1px solid #dddddd;

  height: 100%;
  width: 100%;

  display: flex;
  justify-content: center;
  align-items: center;
`;

const Content = styled.div`
  margin: 0.8em;
  border-radius: 8px;
  width: 100%;
  height: 98%;
  overflow: hidden;
`;

const Panel = (props: Props) => {
  return (
    <Wrapper color={props?.color || 'white'} className="">
      <Content className="">
        <h1
          style={
            {
              // backgroundColor: theme.palette.custom.dataPointColors[1],
            }
          }
        >
          {props.content}
        </h1>
        {props.children}
      </Content>
    </Wrapper>
  );
};

export default Panel;
